#!/bin/bash
# set -o errexit

#####################################################
SCRIPT_VERSION="Get ID to callsign for dashboard"   #
SCRIPT_AUTHOR="N4IRS"                               #
SCRIPT_DATE="10/27/2024"                            #
#####################################################

if [ "$1" != "" ]; then
    case $1 in
        -v|-V|--version) echo $SCRIPT_VERSION; exit 0 ;;
        -a|-A|--author)  echo $SCRIPT_AUTHOR;  exit 0 ;;
        -d|-D|--date)    echo $SCRIPT_DATE;    exit 0 ;;
                   *)    echo "Unknown parameter used: $1"; exit 1 ;;
    esac
fi

echo
echo $SCRIPT_VERSION $SCRIPT_DATE
echo

curl -s -N "https://database.radioid.net/static/user.csv" | awk -F, 'NR>1 {if ($1 > "") print $1,$2,$3}' > /var/lib/mmdvm/DMRIDs.dat""

exit 0

